#include "orga-comp.h"
#include <iostream>

int
main(){
	// lex -> parse -> analisis semantico
	// realizar un interprete
	// interpretar a = 2 + 2
	interpreter inter;
	lexer lex;
	translator tran;
	std::vector<struct token*> lexed = lex.lex_file("tst.cfran");
	parser parser(lexed);
	struct token *end = parser.parse_tokens();
	std::cout << "\n-----------------------\n";
	std::cout << "EVALUATING RESULTING TREE:\n";
	std::cout << str_token(*end) << '\n';
	//inter.evalSTM(*end);	// -> intepreter of parse tree.
	tran.translate(end);
	return 1;
}